Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061003 - FTBFS: perl-Data-ObjectDriver-0.09-9.fc21: tests fail
Summary: FTBFS: perl-Data-ObjectDriver-0.09-9.fc21: tests fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-ObjectDriver
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 07:28 UTC by Petr Pisar
Modified: 2014-04-02 09:10 UTC (History)
2 users (show)

Fixed In Version: perl-Data-ObjectDriver-0.09-10.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-02 09:10:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 92870 None None None Never

Description Petr Pisar 2014-02-04 07:28:18 UTC
perl-Data-ObjectDriver-0.09-9.fc21 fails to build because tests do not pass:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
t/00-compile.t ............. ok
t/01-col-inheritance.t ..... ok
t/02-basic.t ............... ok
t/03-primary-keys.t ........ ok
t/04-clone.t ............... ok
t/05-deflate.t ............. ok
#   Failed test 'Failed because of a unique constraint'
#   at t/06-errors.t line 32.
#          got: undef
#     expected: '1'
# Looks like you failed 1 test of 3.
t/06-errors.t .............. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/3 subtests 
t/07-has-a-cached.t ........ ok
t/07-has-a.t ............... ok
t/08-iterator.t ............ ok
# calling next() after add_term() with 'op'
t/09-resultset.t ........... ok
t/10-resultset-peek.t ...... ok
t/11-sql.t ................. ok
t/12-windows.t ............. ok
t/20-driver-sqlite.t ....... ok
t/31-cached.t .............. ok
t/32-partitioned.t ......... ok
t/33-views.t ............... ok
t/34-both.t ................ ok
t/35-multiplexed.t ......... ok
t/41-callbacks.t ........... ok
t/42-callbacks-multi-pk.t .. ok
t/50-profiling.t ........... ok
Test Summary Report
-------------------
t/06-errors.t            (Wstat: 256 Tests: 3 Failed: 1)
  Failed test:  3
  Non-zero exit status: 1
Files=23, Tests=791, 62 wallclock secs ( 0.15 usr  0.03 sys +  2.00 cusr  0.28 csys =  2.46 CPU)
Result: FAIL

Comment 1 Emmanuel Seyman 2014-02-09 20:42:21 UTC
Humm... Strange.
Not only does the build fail on rawhide, it fails on f20 itself.

My initial reaction was to blame DBD::SQLite but we've simply moved to 1.40-3 from 1.40-1.

I've filed a bug upstream to see if they have a clue (bug 92870 on rco).

Comment 2 Fedora Update System 2014-03-23 00:06:21 UTC
perl-Data-ObjectDriver-0.09-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Data-ObjectDriver-0.09-10.fc20

Comment 3 Fedora Update System 2014-03-24 06:44:42 UTC
Package perl-Data-ObjectDriver-0.09-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Data-ObjectDriver-0.09-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4283/perl-Data-ObjectDriver-0.09-10.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-02 09:10:15 UTC
perl-Data-ObjectDriver-0.09-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.